Get product details with available add-ons
Returns product details including available add-ons grouped by aggregate and related products grouped by product group.
GET
/{sku}Path parameters
skustringrequiredQuery parameters
line1stringmin length 1 · max length 100
line2stringmin length 1 · max length 100
citystringmin length 1 · max length 100
stateOrProvincestringmin length 2 · max length 2
postalCodestringmatches ^\d{5}(-\d{4})?$
manufacturerstringResponses
200Product details retrieved successfully
skustringrequiredtitlestringrequiredpriceCentsnumberrequiredmin 0
addOnsobject[]requiredAvailable add-ons for the product.
Show propertiesHide properties
Array of
objectidstringrequiredtitlestringrequiredpriceCentsnumbermin 0
productsobject[]requiredShow propertiesHide properties
Array of
objectskustringrequiredtitlestringrequiredcategorystringrequiredpriceCentsnumberrequiredmin 0
includedPartProductsobject[]Show propertiesHide properties
Array of
objectskustringrequiredtitlestringrequiredcategorystringrequiredpriceCentsnumberrequiredmin 0
recommendedPartsobject[]requiredRecommended parts for the product. These parts may be included in an add-on like "Install"
Show propertiesHide properties
Array of
objectskustringrequiredtitlestringrequiredcategorystringrequiredpriceCentsnumberrequiredmin 0
warningsstring[]Warnings that may impact product results
400Bad request - Invalid input data
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired401Unauthorized - Missing or invalid authentication
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired404Product not found
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired500Internal server error
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequiredRequest
curl -X GET "https://api.sibipro.com/products/GDF511PGRBB"const response = await fetch("https://api.sibipro.com/products/GDF511PGRBB", {
method: "GET"
});Response
{
"sku": "string",
"title": "string",
"priceCents": 0,
"addOns": [
{
"id": "123",
"title": "Install",
"priceCents": 10000,
"products": [
{
"sku": "123",
"title": "Install Appliance",
"category": "Install & Supply Services",
"priceCents": 6000
},
{
"sku": "124",
"title": "Supply Washer Braided Line",
"category": "Install & Supply Services",
"priceCents": 4000
}
],
"includedPartProducts": [
{
"sku": "125",
"title": "Washer Inlet Fill Hose",
"category": "Parts",
"priceCents": 1000
}
]
}
],
"recommendedParts": [
{
"sku": "126",
"title": "Washer Inlet Fill Hose",
"category": "Parts",
"priceCents": 1000
}
],
"warnings": [
"No address provided. To include available add-ons and fulfillment/distribution information, please provide an address."
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}